import MapBoxStyle from "../mapbox/MapBoxStyle";
declare abstract class StyleBuilder {
    abstract buildRasterSource(id: string, url: string): StyleBuilder;
    abstract buildRasterLayer(id: string, source: string): StyleBuilder;
    abstract build(): MapBoxStyle;
}
export default class MapBoxStyleBuilder extends StyleBuilder {
    private style;
    buildRasterSource(id: string, url: string): StyleBuilder;
    buildRasterLayer(id: string, source?: string): StyleBuilder;
    build(): MapBoxStyle;
}
export {};
