import MapBoxLayer from '../mapbox/MapBoxLayer';
import MapBoxSource from '../mapbox/MapBoxSource';
import MapBoxStyle from '../mapbox/MapBoxStyle';
var MapBoxStyleFactory = (function () {
    function MapBoxStyleFactory() {
    }
    MapBoxStyleFactory.buildSimpleRasterStyle = function (sourceId, tileUrl, name) {
        if (name === void 0) { name = "defaultStyle"; }
        var style = new MapBoxStyle(name);
        var arcgisSource = new MapBoxSource();
        arcgisSource.addTileUrl(tileUrl);
        var arcgisLayer = new MapBoxLayer(sourceId);
        arcgisLayer.setSource(sourceId);
        style.addSource(sourceId, arcgisSource);
        style.addLayer(arcgisLayer);
        return style;
    };
    return MapBoxStyleFactory;
}());
export default MapBoxStyleFactory;
