import MapBoxStyle from '../mapbox/MapBoxStyle';
interface Builder {
    buildSource(id: string, url: string): Builder;
    buildLayer(id: string, source: string, sourceLayer: string): Builder;
    build(): MapBoxStyle;
}
export default class MapBoxStyleBuilder implements Builder {
    private style;
    buildSource(id: string, url: string): Builder;
    buildLayer(id: string, source: string, sourceLayer: string): Builder;
    build(): MapBoxStyle;
}
export {};
