var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import L from "leaflet";
import AbstractLeafletLayer from "./AbstractLeafletLayer";
var LeafletMarkerLayer = (function (_super) {
    __extends(LeafletMarkerLayer, _super);
    function LeafletMarkerLayer(id, markers) {
        var _this = _super.call(this, id, null) || this;
        _this.markers = markers;
        return _this;
    }
    LeafletMarkerLayer.prototype.getLayer = function () {
        if (this.layer) {
            return this.layer;
        }
        if (this.markers) {
            this.layer = L.layerGroup(this.markers);
            return this.layer;
        }
        return null;
    };
    LeafletMarkerLayer.prototype.setZIndex = function (zIndex) {
        if (this.layer) {
            this.layer.setZIndex(zIndex);
        }
    };
    return LeafletMarkerLayer;
}(AbstractLeafletLayer));
export default LeafletMarkerLayer;
