var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import AbstractLeafletLayer from "./AbstractLeafletLayer";
import L from "leaflet";
var LeafletWmsLayer = (function (_super) {
    __extends(LeafletWmsLayer, _super);
    function LeafletWmsLayer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LeafletWmsLayer.prototype.getLayer = function () {
        if (this.layer) {
            return this.layer;
        }
        this.layer = L.tileLayer.wms(this.url, Object.assign(this.getLayerOptions(), this.wmsOptions));
        return this.layer;
    };
    LeafletWmsLayer.prototype.setWmsOptions = function (wmsOptions) {
        this.wmsOptions = wmsOptions;
    };
    LeafletWmsLayer.prototype.setZIndex = function (zIndex) {
        if (this.layer) {
            this.layer.setZIndex(zIndex);
        }
    };
    return LeafletWmsLayer;
}(AbstractLeafletLayer));
export default LeafletWmsLayer;
