var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import Layer from "../Layer";
import MapBoxLayerTypeConsts from "./consts/MapBoxLayerTypeConsts";
var MapBoxLayer = (function (_super) {
    __extends(MapBoxLayer, _super);
    function MapBoxLayer(id, type) {
        if (type === void 0) { type = MapBoxLayerTypeConsts.RASTER; }
        var _this = _super.call(this, id) || this;
        _this.type = type;
        return _this;
    }
    MapBoxLayer.prototype.setType = function (type) {
        this.type = type;
    };
    MapBoxLayer.prototype.setSource = function (source) {
        this.source = source;
    };
    MapBoxLayer.prototype.setSourceLayer = function (sourceLayer) {
        this.sourceLayer = sourceLayer;
    };
    MapBoxLayer.prototype.setFilter = function (filter) {
        this.filter = filter;
    };
    MapBoxLayer.prototype.setPaint = function (paint) {
        this.paint = paint;
    };
    MapBoxLayer.prototype.setLayout = function (layout) {
        this.layout = layout;
    };
    MapBoxLayer.prototype.setZIndex = function (zIndex) {
        console.log(zIndex);
    };
    return MapBoxLayer;
}(Layer));
export default MapBoxLayer;
