import L from "leaflet";
import "leaflet/dist/leaflet.css";
declare class LeafletDrawLonlatLine {
    static readonly LONLAT_TEXT_POSITION_LEFT: string;
    static readonly LONLAT_TEXT_POSITION_RIGHT: string;
    static readonly LONLAT_TEXT_POSITION_ALL: string;
    map: any;
    lonLatGridLineLayers: any;
    lineColor: string;
    textColor: string;
    textPosition: string;
    iconStyleName: string;
    constructor(map: any);
    initLonLatGridLayers(): L.FeatureGroup<any>;
    getLonLatGridLayers(): any;
    setLineColor(lineColor: string): void;
    setTextColor(textColor: string): void;
    setTextPosition(textPosition: string): void;
    drawLonlatTileGrid(): void;
    drawLatTileGridLines(xyTileRange: any, west: number, east: number): void;
    drawLonTileGridLines(xyTileRange: any, south: number, north: number): void;
    createDivIcon(tipX: number, tipY: number, text: string): L.DivIcon;
    createLonLatText(point: number, zoom: number): string;
    clearLayers(): void;
    addDrawEvent(): void;
    removeDrawEvent(): void;
}
export default LeafletDrawLonlatLine;
