import { mapToObj, objToMap } from "./MapUtils";
export var map2ToJson = function (map) { return JSON.stringify(mapToObj(map)); };
export var json2ToMap = function (json) { return objToMap(JSON.parse(json)); };
export var obj2Json = function (obj) { return JSON.stringify(obj); };
export var style2Json = function (obj) {
    var json = JSON.stringify(obj, null, 4);
    json = json
        .replace('minZoom', 'minzoom')
        .replace('maxZoom', 'maxzoom')
        .replace(new RegExp("sourceLayer", "gm"), "source-layer")
        .replace(new RegExp("bgColor", "gm"), "background-color")
        .replace(new RegExp("bgOpacity", "gm"), "background-opacity")
        .replace(new RegExp("bgPattern", "gm"), "background-pattern")
        .replace(new RegExp("fillAntialias", "gm"), "fill-antialias")
        .replace(new RegExp("fillColor", "gm"), "fill-color")
        .replace(new RegExp("fillOpacity", "gm"), "fill-opacity")
        .replace(new RegExp("fillOutLineColor", "gm"), "fill-outline-color")
        .replace(new RegExp("fillPattern", "gm"), "fill-pattern")
        .replace(new RegExp("fllTranslate", "gm"), "fill-translate")
        .replace(new RegExp("fillTranslateAnchor", "gm"), "fill-translate-anchor")
        .replace(new RegExp("lineColor", "gm"), "line-color")
        .replace(new RegExp("lineOpacity", "gm"), "line-opacity")
        .replace(new RegExp("lineBlur", "gm"), "line-blur")
        .replace(new RegExp("lineWidth", "gm"), "line-width")
        .replace(new RegExp("textColor", "gm"), "text-color")
        .replace(new RegExp("textOpacity", "gm"), "text-opacity")
        .replace(new RegExp("rasterBrightnessMax", "gm"), "raster-brightness-max")
        .replace(new RegExp("rasterBrightnessMin", "gm"), "raster-brightness-min")
        .replace(new RegExp("rasterContrast", "gm"), "raster-contrast")
        .replace(new RegExp("rasterSaturation", "gm"), "raster-saturation")
        .replace(new RegExp("rasterFadeDuration", "gm"), "raster-fade-duration")
        .replace(new RegExp("rasterOpacity", "gm"), "raster-opacity")
        .replace(new RegExp("circleColor", "gm"), "circle-color")
        .replace(new RegExp("circleOpacity", "gm"), "circle-opacity")
        .replace(new RegExp("circleRadius", "gm"), "circle-radius")
        .replace(new RegExp("fillSortKey", "gm"), "fill-sort-key")
        .replace(new RegExp("textField", "gm"), "text-field")
        .replace(new RegExp("textFont", "gm"), "text-font")
        .replace(new RegExp("textJustify", "gm"), "text-justify")
        .replace(new RegExp("textLetterSpacing", "gm"), "text-letter-spacing")
        .replace(new RegExp("textLineHeight", "gm"), "text-line-height")
        .replace(new RegExp("textSize", "gm"), "text-size")
        .replace(new RegExp("textWritingMode", "gm"), "text-writing-mode");
    return json;
};
