var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import MapBoxStyle from "../mapbox/MapBoxStyle";
import MapBoxSource from '../mapbox/MapBoxSource';
import MapBoxLayer from '../mapbox/MapBoxLayer';
var StyleBuilder = (function () {
    function StyleBuilder() {
    }
    return StyleBuilder;
}());
var MapBoxStyleBuilder = (function (_super) {
    __extends(MapBoxStyleBuilder, _super);
    function MapBoxStyleBuilder() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.style = new MapBoxStyle();
        return _this;
    }
    MapBoxStyleBuilder.prototype.buildRasterSource = function (id, url) {
        var source = new MapBoxSource();
        source.addTileUrl(url);
        this.style.addSource(id, source);
        return this;
    };
    MapBoxStyleBuilder.prototype.buildRasterLayer = function (id, source) {
        var layer = new MapBoxLayer(id);
        layer.setSource(source);
        this.style.addLayer(layer);
        return this;
    };
    MapBoxStyleBuilder.prototype.build = function () {
        return this.style;
    };
    return MapBoxStyleBuilder;
}(StyleBuilder));
export default MapBoxStyleBuilder;
