import MapBoxLayerTypeConsts from '../mapbox/consts/MapBoxLayerTypeConsts';
import MapBoxSourceConsts from '../mapbox/consts/MapBoxSourceConsts';
import MapBoxLayer from '../mapbox/MapBoxLayer';
import MapBoxLayerPaint from '../mapbox/MapBoxLayerPaint';
import MapBoxSource from '../mapbox/MapBoxSource';
import MapBoxStyle from '../mapbox/MapBoxStyle';
var MapBoxStyleFactory = (function () {
    function MapBoxStyleFactory() {
    }
    MapBoxStyleFactory.buildSimpleVecotStyle = function (id, url) {
        var style = new MapBoxStyle();
        var source = new MapBoxSource();
        source.setType(MapBoxSourceConsts.SOURCE_TYPE_VECTOR);
        source.addTileUrl(url);
        style.addSource(id, source);
        var layer = new MapBoxLayer(id);
        layer.setType(MapBoxLayerTypeConsts.FILL);
        layer.setSource(id);
        layer.setSourceLayer('1556176708927808');
        var paint = new MapBoxLayerPaint();
        paint.setFillColor("hsl(0, 76%, 53%)");
        layer.setPaint(paint);
        style.addLayer(layer);
        return style;
    };
    return MapBoxStyleFactory;
}());
export default MapBoxStyleFactory;
