import Layer from "../Layer";
import MapBoxLayerPaint from "./MapBoxLayerPaint";
import MapBoxLayerLayout from "./MapBoxLayerLayout";
export default class MapBoxLayer extends Layer {
    type: string;
    source: string;
    sourceLayer: string;
    filter: any;
    paint: MapBoxLayerPaint;
    layout: MapBoxLayerLayout;
    constructor(id: string, type?: string);
    setType(type: string): void;
    setSource(source: string): void;
    setSourceLayer(sourceLayer: string): void;
    setFilter(filter: any): void;
    setPaint(paint: MapBoxLayerPaint): void;
    setLayout(layout: MapBoxLayerLayout): void;
    setZIndex(zIndex: number): void;
}
