import IBounds from '../IBounds';
export default class MapBoxSource {
    tiles: string[];
    tileSize: number;
    scheme: string;
    type: string;
    url: string;
    data: string[];
    minzoom: number;
    maxzoom: number;
    bounds: IBounds | number[];
    attribution: string;
    constructor();
    setType(type: string): void;
    setTileUrls(tiles: string[]): void;
    addTileUrl(tileUrl: string): void;
    setUrl(url: string): void;
    setData(url: string): void;
    setTileSize(tileSize: number): void;
    setScheme(scheme: string): void;
    setMinZoom(minZoom: number): void;
    setMaxZoom(maxZoom: number): void;
    setBounds(bounds: IBounds): void;
    addBounds(minX: number, minY: number, maxX: number, maxY: number): void;
    setAttribution(attribution: string): void;
}
