import MapBoxSource from './MapBoxSource';
import MapBoxLayer from './MapBoxLayer';
export default class MapBoxStyle {
    version: number;
    name: string;
    sources: any;
    layers: MapBoxLayer[];
    pitch: number;
    zoom: number;
    glyphs: string;
    constructor(name?: string);
    setName(name: string): void;
    setZoom(zoom: number): void;
    setGlyphs(glyphs: string): void;
    setPitch(pitch: number): void;
    setSources(sources: string): void;
    addSource(name: string, source: MapBoxSource): void;
    setLayers(layers: MapBoxLayer[]): void;
    addLayer(layer: MapBoxLayer): void;
}
