declare class WebMecatorTileUtils {
    static readonly minX = -20037508.342789244;
    static readonly maxX = 20037508.342789244;
    static readonly tileSize = 256;
    static getMatrixSize(level: number): number;
    static resolution(zoom: number): number;
    static pixelsToMeters2(x: number, y: number, zoom: number): {
        x: number;
        y: number;
    };
    static tileBounds(x: number, y: number, zoom: number): {
        x1: number;
        x2: number;
        y1: number;
        y2: number;
    };
    static meters2LatLon(x: number, y: number): {
        lat: number;
        lon: number;
    };
    static tileLatLonBounds(x: number, y: number, zoom: number): {
        minLon: number;
        maxLon: number;
        minLat: number;
        maxLat: number;
    };
    static lonLat2Mercator(lon: number, lat: number): {
        x: number;
        y: number;
    };
    static lonlat2TileXY(zoom: number, lon: number, lat: number): Map<any, any>;
    static getTileXYRange(zoom: number, minX: number, maxX: number, minY: number, maxY: number): Map<any, any>;
}
export default WebMecatorTileUtils;
